summaryrefslogtreecommitdiff
path: root/support
diff options
context:
space:
mode:
authorYann E. MORIN <yann.morin.1998@free.fr>2014-07-02 23:11:25 +0200
committerPeter Korsgaard <peter@korsgaard.com>2014-07-03 00:07:12 +0200
commit54adff55d5759c6b5143165e6ffe1e12e402161d (patch)
tree811d863a45164c545321a3926325bc71c6b3991b /support
parent45261f1fb7d6ab14e858580080b24e1a3bd5575c (diff)
pkg-infra: move the scp download helper to a script
Maintaining the download helpers in the Makefile has proved to be a bit complex, so move it to a shell script. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'support')
-rwxr-xr-xsupport/download/scp16
1 files changed, 16 insertions, 0 deletions
diff --git a/support/download/scp b/support/download/scp
new file mode 100755
index 000000000..2997927bb
--- /dev/null
+++ b/support/download/scp
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# We want to catch any command failure, and exit immediately
+set -e
+
+# Download helper for scp
+# Call it with:
+# $1: URL
+# $2: output file
+# And this environment:
+# SCP : the scp command to call
+
+url="${1}"
+output="${2}"
+
+${SCP} "${url}" "${output}"